﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace tx_sql_db
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            
            // connect the controls
            textControl1.RulerBar = rulerBar2;
            textControl1.ButtonBar = buttonBar1;
            textControl1.StatusBar = statusBar1;
            textControl1.VerticalRulerBar = rulerBar1;
        }

        private void loadToolStripMenuItem_Click(object sender, EventArgs e)
        {
            // load a template with MS Word fields enabled
            TXTextControl.LoadSettings ls = new TXTextControl.LoadSettings();
            ls.ApplicationFieldFormat = TXTextControl.ApplicationFieldFormat.MSWord;

            textControl1.Load(TXTextControl.StreamType.WordprocessingML, ls);
        }

        private void mergeToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmCustomers customers = new frmCustomers();
            customers.tx = textControl1;
            customers.ShowDialog();
        }

        private void insertToolStripMenuItem_Click(object sender, EventArgs e)
        {
            // create a new merge field using the field adapters
            TXTextControl.DocumentServer.Fields.MergeField newField = new TXTextControl.DocumentServer.Fields.MergeField();
            newField.Name = "company";
            newField.Text = "[company]";

            newField.ShowDialog();

            // add the field to the TextControl
            textControl1.ApplicationFields.Add(newField.ApplicationField);
        }
    }
}
